<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="group">
    <name>gsi_driver</name>
    <title>Globus XIO GSI Driver</title>
    <filename>group__gsi__driver.html</filename>
    <subgroup>gsi_driver_instance</subgroup>
    <subgroup>gsi_driver_io</subgroup>
    <subgroup>gsi_driver_server</subgroup>
    <subgroup>gsi_driver_envs</subgroup>
    <subgroup>gsi_driver_cntls</subgroup>
    <subgroup>gsi_driver_types</subgroup>
    <subgroup>gsi_driver_errors</subgroup>
  </compound>
  <compound kind="group">
    <name>gsi_driver_instance</name>
    <title>Opening/Closing</title>
    <filename>group__gsi__driver__instance.html</filename>
  </compound>
  <compound kind="group">
    <name>gsi_driver_io</name>
    <title>Reading/Writing</title>
    <filename>group__gsi__driver__io.html</filename>
  </compound>
  <compound kind="group">
    <name>gsi_driver_server</name>
    <title>Server</title>
    <filename>group__gsi__driver__server.html</filename>
  </compound>
  <compound kind="group">
    <name>gsi_driver_envs</name>
    <title>Env Variables</title>
    <filename>group__gsi__driver__envs.html</filename>
  </compound>
  <compound kind="group">
    <name>gsi_driver_cntls</name>
    <title>Attributes and Cntls</title>
    <filename>group__gsi__driver__cntls.html</filename>
    <member kind="enumeration">
      <name>globus_xio_gsi_cmd_t</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>ga914ae1745d5c6d2bf7c2a251adaa2b3a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_CREDENTIAL</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aa484db43cd6bb4ff4a1efad9a5f4418e8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_CREDENTIAL</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aa4ba4653e9d933b09ad8e81f8725055de</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_GSSAPI_REQ_FLAGS</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aa780af56e2e0762dc0634a95d12f34cc7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_GSSAPI_REQ_FLAGS</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aa7e24dddabc773d8d77b13606a56645b4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_PROXY_MODE</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aa365fe988cb5533d3872c0b90de8e9333</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_PROXY_MODE</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aa4b13cff4228d62e6f74414cd47fa6819</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_AUTHORIZATION_MODE</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aa12f4d4a3bc5bf109c541ebb22d6ed3ba</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_AUTHORIZATION_MODE</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aa45f8a81ba8ba3cf65bb627605e38bc0d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_DELEGATION_MODE</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aa191020813059183f294ab5900316cf27</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_DELEGATION_MODE</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aa66ba3d206750e1e1593b821e332d79e9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_SSL_COMPATIBLE</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aaa2e2257f03f1afc1cbd55f9bbc23d13a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_ANON</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aad039c87fd70c8b2b41e5c652a0a6b3b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_WRAP_MODE</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aae7f829132d233eb7b2cb80360a36016c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_WRAP_MODE</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aa1bcac66c2773fcef7b7ae34c937d79e1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_BUFFER_SIZE</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aa4ca4395d8045ef5ae4905e549d1ba6e5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_BUFFER_SIZE</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aa5aa611715f4dff455c2c3450b01a5172</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_PROTECTION_LEVEL</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aa7b6e5d1e4fa8de94de243863f5563543</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_PROTECTION_LEVEL</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aa12e504b869f72dca4dac8c32eb80d0e5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_TARGET_NAME</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aa95118e0ce1d9577e3fd1f72a58c7bac5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_TARGET_NAME</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aa5a8c938ed7cd7ec0196818e79248830f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_CONTEXT</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aacd12f46e63dd573ea77c02f11490030c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_DELEGATED_CRED</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aa60a9934e71cadd19c90cee7b970cc3c8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_PEER_NAME</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aafbe176b986f45f2cf7bd06272b117d3c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_LOCAL_NAME</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aa7f03b18116d4d9c24e75cff52f98b2ea</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_INIT_DELEGATION</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aa38ce51cad96000269d80549700cb71f3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_REGISTER_INIT_DELEGATION</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aa9e4972e8db26c58e148b084586c549a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_ACCEPT_DELEGATION</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aa1682b17bcf54696b1b61f44e7ffb078c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_REGISTER_ACCEPT_DELEGATION</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aaa6d486f808a175083a28187d6bec1619</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_FORCE_SERVER_MODE</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aa6d47f76c495c142ebf530dbe7a9ddf9b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_ALLOW_MISSING_SIGNING_POLICY</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aa31f56cce08902b783d77d6c7dbda5caa</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_ALLOW_MISSING_SIGNING_POLICY</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gga914ae1745d5c6d2bf7c2a251adaa2b3aa7d485212163e61667ab8639199fb0540</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gae1388c9bed76a153228ec7040fa5ec40</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_CREDENTIAL, gss_cred_id_t credential)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>ga907109041ca001f13d8c51d6fac73121</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_SET_CREDENTIAL, gss_cred_id_t credential)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>ga534276909dafc0026529ecb623d2933b</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_CREDENTIAL, gss_cred_id_t *credential)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>ga2ead167cd6c88d0dffb8ad8729334f8c</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_GET_CREDENTIAL, gss_cred_id_t *credential)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gaa77cb5e038a65478643a72a2f7be0c6d</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_GSSAPI_REQ_FLAGS, OM_uint32 req_flags)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gaa3e902b92c0eb8be9ca9da491968f156</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_GSSAPI_REQ_FLAGS, OM_uint32 *req_flags)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>ga6383796f2be48feee3911991b921803a</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_PROXY_MODE, globus_xio_gsi_proxy_mode_t proxy_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>ga6dc070283b88fda925706cd580d31e9e</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_PROXY_MODE, globus_xio_gsi_proxy_mode_t *proxy_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>ga9fd993e5cfb17241ebea4339536f57b4</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_AUTHORIZATION_MODE, globus_xio_gsi_authorization_mode_t authz_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gac5a0b366119eef7d0cc1207c50b59b37</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_AUTHORIZATION_MODE, globus_xio_gsi_authorization_mode_t *authz_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gad5da2b940541cb1e9dc2467d8d13661c</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_DELEGATION_MODE, globus_xio_gsi_delegation_mode_t delegation_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>ga188417f8cf284d25cd58fdb5e25e49db</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_DELEGATION_MODE, globus_xio_gsi_delegation_mode_t *delegation_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>ga98babc9b817a4a4335483a6575bdcc83</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_SSL_COMPATIBLE, globus_bool_t ssl_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>ga8c51df1c1ccbd932414bc91b2c8b9291</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_ANON, globus_bool_t anon_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gaf4a03030d6ec2ef908b1909e9f072e1f</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_WRAP_MODE, globus_boolean_t wrap_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gaae58685fc748e08e6ff449b1a45d3d1b</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_WRAP_MODE, globus_boolean_t *wrap_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gab924aa3cc655a49161d6095a7d882c83</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_BUFFER_SIZE, globus_size_t buffer_size)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>ga73cfd27b1cf775c412d18dd137bf6981</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_BUFFER_SIZE, globus_size_t *buffer_size)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>ga06b3135512e7690a0cd6c08a27bcc9ea</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_PROTECTION_LEVEL, globus_xio_gsi_protection_level_t protection_level)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>ga18eab7f69814be2b975656e6a1249b80</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_PROTECTION_LEVEL, globus_xio_gsi_protection_level_t *protection_level)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gae4371b221cd5babda5fea059bd6b2e85</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_TARGET_NAME, gss_name_t *target_name)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>ga6da81cd36c1dbc8d871c826d621bbe81</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_TARGET_NAME, gss_name_t target_name)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gaf673228717e016cc1eefee00adf8494a</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_GET_CONTEXT, gss_ctx_id_t *context)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gabd08a7705edb9400fcd24ee47441c8c9</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_GET_DELEGATED_CRED, gss_cred_id_t *credential)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gac82022334b928f53551135d17c12cf83</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_GET_PEER_NAME, gss_name_t *peer_name)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>ga066fd796ede68ec31ad1694fcc1c2e71</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_GET_LOCAL_NAME, gss_name_t *local_name)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>ga44307fe75cb1b01e812b359ca46028ee</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_INIT_DELEGATION, gss_cred_id_t credential, gss_OID_set restriction_oids, gss_buffer_set_t restriction_buffers, OM_uint32 time_req)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>ga4b8b4bf6720e783384137009e75746c6</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_REGISTER_INIT_DELEGATION, gss_cred_id_t credential, gss_OID_set restriction_oids, gss_buffer_set_t restriction_buffers, OM_uint32 time_req, globus_xio_gsi_delegation_init_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>ga44bccb5d93ce9889b007e753f4a7860b</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_ACCEPT_DELEGATION, gss_cred_id_t *credential, gss_OID_set restriction_oids, gss_buffer_set_t restriction_buffers, OM_uint32 time_req)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>gabb8a77092b0c6063b69b05aa88589498</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_REGISTER_ACCEPT_DELEGATION, gss_OID_set restriction_oids, gss_buffer_set_t restriction_buffers, OM_uint32 time_req, globus_xio_gsi_delegation_accept_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>ga2824868c0b4cdeaf765d9612e332e3f3</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_FORCE_SERVER_MODE, globus_bool_t server_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>ga7cf9a3600eaf2a2fe7c80c1554dd4057</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_ALLOW_MISSING_SIGNING_POLICY, globus_bool_t allow)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchorfile>group__gsi__driver__cntls.html</anchorfile>
      <anchor>ga9b9e1827aa9bdf17b7f973b4791302a2</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_ALLOW_MISSING_SIGNING_POLICY, globus_bool_t *allow)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>gsi_driver_types</name>
    <title>Types</title>
    <filename>group__gsi__driver__types.html</filename>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_xio_gsi_delegation_init_callback_t</name>
      <anchorfile>group__gsi__driver__types.html</anchorfile>
      <anchor>gad2cebbcee71190170640853c8a503fb9</anchor>
      <arglist>)(globus_result_t result, void *user_arg)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_xio_gsi_delegation_accept_callback_t</name>
      <anchorfile>group__gsi__driver__types.html</anchorfile>
      <anchor>gaf2b9628ad6d1b80990d63929927d6584</anchor>
      <arglist>)(globus_result_t result, gss_cred_id_t delegated_cred, OM_uint32 time_rec, void *user_arg)</arglist>
    </member>
    <member kind="enumeration">
      <name>globus_xio_gsi_protection_level_t</name>
      <anchorfile>group__gsi__driver__types.html</anchorfile>
      <anchor>ga819abda8eb90c0247b8146ca9793af77</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_PROTECTION_LEVEL_NONE</name>
      <anchorfile>group__gsi__driver__types.html</anchorfile>
      <anchor>gga819abda8eb90c0247b8146ca9793af77a4e667f0cb8e66de53439ab2ace1fdea4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_PROTECTION_LEVEL_INTEGRITY</name>
      <anchorfile>group__gsi__driver__types.html</anchorfile>
      <anchor>gga819abda8eb90c0247b8146ca9793af77a8e2e7c3618f6ffd65c50b8fe75cd065b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_PROTECTION_LEVEL_PRIVACY</name>
      <anchorfile>group__gsi__driver__types.html</anchorfile>
      <anchor>gga819abda8eb90c0247b8146ca9793af77a510435e782d13eafcf753f6ebb40fd90</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_xio_gsi_delegation_mode_t</name>
      <anchorfile>group__gsi__driver__types.html</anchorfile>
      <anchor>ga557ecc80442ce687103a485729831db0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_DELEGATION_MODE_NONE</name>
      <anchorfile>group__gsi__driver__types.html</anchorfile>
      <anchor>gga557ecc80442ce687103a485729831db0af1f5ce93c96431711019256560c41df1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_DELEGATION_MODE_LIMITED</name>
      <anchorfile>group__gsi__driver__types.html</anchorfile>
      <anchor>gga557ecc80442ce687103a485729831db0a3eac8168feff5b474d955c4ef80383d7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_DELEGATION_MODE_FULL</name>
      <anchorfile>group__gsi__driver__types.html</anchorfile>
      <anchor>gga557ecc80442ce687103a485729831db0aaa87e5b74849140e8c1c6e1fa308247c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_xio_gsi_proxy_mode_t</name>
      <anchorfile>group__gsi__driver__types.html</anchorfile>
      <anchor>gab673735248b59a2854caed81644205d7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_PROXY_MODE_FULL</name>
      <anchorfile>group__gsi__driver__types.html</anchorfile>
      <anchor>ggab673735248b59a2854caed81644205d7a34e522c8f9628f7bd776b81ebd405177</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_PROXY_MODE_LIMITED</name>
      <anchorfile>group__gsi__driver__types.html</anchorfile>
      <anchor>ggab673735248b59a2854caed81644205d7ab712e9972964d7f241529cebfafd53d3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_PROXY_MODE_MANY</name>
      <anchorfile>group__gsi__driver__types.html</anchorfile>
      <anchor>ggab673735248b59a2854caed81644205d7aa43c9c7a0179f3b75ab1aab93e820188</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_xio_gsi_authorization_mode_t</name>
      <anchorfile>group__gsi__driver__types.html</anchorfile>
      <anchor>ga77d64e17675e41e59cd7bd521be371ef</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_NO_AUTHORIZATION</name>
      <anchorfile>group__gsi__driver__types.html</anchorfile>
      <anchor>gga77d64e17675e41e59cd7bd521be371efa5a49a45650b42b3bb7ac2359a2b78f01</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SELF_AUTHORIZATION</name>
      <anchorfile>group__gsi__driver__types.html</anchorfile>
      <anchor>gga77d64e17675e41e59cd7bd521be371efa4531c98389c431fe4bcfc80c75e50ab3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_IDENTITY_AUTHORIZATION</name>
      <anchorfile>group__gsi__driver__types.html</anchorfile>
      <anchor>gga77d64e17675e41e59cd7bd521be371efa625b751270e36c4ff8157ba3f98c1fbd</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_HOST_AUTHORIZATION</name>
      <anchorfile>group__gsi__driver__types.html</anchorfile>
      <anchor>gga77d64e17675e41e59cd7bd521be371efa890b3fc9c4c1060007331269d8baf5d6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>gsi_driver_errors</name>
    <title>Error Types</title>
    <filename>group__gsi__driver__errors.html</filename>
    <member kind="enumeration">
      <name>globus_xio_gsi_error_t</name>
      <anchorfile>group__gsi__driver__errors.html</anchorfile>
      <anchor>ga3d4c97e3dd438b97e25d19bd2cfd782c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_ERROR_INVALID_PROTECTION_LEVEL</name>
      <anchorfile>group__gsi__driver__errors.html</anchorfile>
      <anchor>gga3d4c97e3dd438b97e25d19bd2cfd782ca687d8b5148ee5b962835fd39236f7503</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_ERROR_WRAP_GSSAPI</name>
      <anchorfile>group__gsi__driver__errors.html</anchorfile>
      <anchor>gga3d4c97e3dd438b97e25d19bd2cfd782ca5f1078cd918d6968b828561af4ef3e70</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_ERROR_EMPTY_TARGET_NAME</name>
      <anchorfile>group__gsi__driver__errors.html</anchorfile>
      <anchor>gga3d4c97e3dd438b97e25d19bd2cfd782ca9903a0c242ba4eeb6fc781fff17014ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_ERROR_EMPTY_HOST_NAME</name>
      <anchorfile>group__gsi__driver__errors.html</anchorfile>
      <anchor>gga3d4c97e3dd438b97e25d19bd2cfd782cac6fd4b4c304d958bf69469337dd9627b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_AUTHORIZATION_FAILED</name>
      <anchorfile>group__gsi__driver__errors.html</anchorfile>
      <anchor>gga3d4c97e3dd438b97e25d19bd2cfd782ca571601d527b224b333ca511f49727482</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_ERROR_TOKEN_TOO_BIG</name>
      <anchorfile>group__gsi__driver__errors.html</anchorfile>
      <anchor>gga3d4c97e3dd438b97e25d19bd2cfd782ca99ed16d291f539df19c8a632be9d5eff</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
